summaryrefslogtreecommitdiffstats
path: root/test/shell/pool-labels.sh
diff options
context:
space:
mode:
authorPetr Rockai <prockai@redhat.com>2012-02-23 13:11:07 +0000
committerPetr Rockai <prockai@redhat.com>2012-02-23 13:11:07 +0000
commitdae0822698327e81f467c3594141d70cdafca331 (patch)
tree673c87128df8e56be79703a799c83d12acbe5b19 /test/shell/pool-labels.sh
parent182d1f60d2fb1bbadef2974fa55278f553b04ed9 (diff)
downloadlvm2-dae0822698327e81f467c3594141d70cdafca331.tar.gz
lvm2-dae0822698327e81f467c3594141d70cdafca331.tar.xz
lvm2-dae0822698327e81f467c3594141d70cdafca331.zip
The lvmetad client-side integration. Only active when use_lvmetad = 1 is set in
lvm.conf *and* lvmetad is running.
Diffstat (limited to 'test/shell/pool-labels.sh')
-rw-r--r--test/shell/pool-labels.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/test/shell/pool-labels.sh b/test/shell/pool-labels.sh
index dc1f3741..b4590f02 100644
--- a/test/shell/pool-labels.sh
+++ b/test/shell/pool-labels.sh
@@ -18,6 +18,7 @@ create_pool_label_()
# printf comes from coreutils, and is probably not posix either
env printf "\x01\x16\x70\x06\x5f\xcf\xff\xb9\xf8\x24\x8apool1" | dd of=$2 bs=5 seek=1 conv=notrunc
env printf "\x04\x01\x03\x00\x00\x00\x01\x00\x00\x00\x00\x00\x00\x00\x02\x00\x00\x00\x0$1\x68\x01\x16\x70\x00\x00\x00\x00\x00\x06\x5f\xd0" | dd of=$2 bs=273 seek=1 conv=notrunc
+ pvscan --lvmetad "$2" || true
}
env printf "" || exit 200 # skip if printf is not available